class HouseInf:
    def __init__(self, age, area, rooms, address):
        self.age = age
        self.area = area
        self.rooms = rooms
        self.address = address


class Apartment(HouseInf):
    def __init__(self, floor, parking, age, area, rooms, address, elevator=True):
        self.parking = parking
        self.elevator = elevator
        self.floor = floor
        super().__init__(age, area, rooms, address)


class Sale:
    def __init__(self, price):
        self.price = price


class ApartmentSale(Apartment, Sale):
    def __str__(self):
        return f"{self.floor}, {self.age}"


if __name__ == '__main__':
    apartment_sale = ApartmentSale(floor=10, age=5, parking=1, elevator=True, rooms=3, address="tehran", area=120)
    print(apartment_sale)
